<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function xExportar($varForm) {
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	$varVen = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$sql = "call spQuery_Venta_Dia($varVen, $varIni, $varFin);";
	
	$varCab = array(array("cab"=>"DATOS", "det"=>array("PDV","FACTURADO","CONTADO","CREDITO","PARCIAL","RECHAZO","EFECTIVO","%PARC.","%RECH.","%EFEC."))
					);
	$varNiv = array(0 =>array("COD"=>"DIA","DES"=>"FEMI"),
					1 =>array("COD"=>"CVEN","DES"=>"VENDEDOR"),
					2 =>array("COD"=>"CTOT","DES"=>"TOTAL"),
					);
	$varFor = array(13=>array("tipodat"=>"porc", "formula"=>array("valor1"=>7, "valor2"=>10, "funcion"=>"porc")),
					14=>array("tipodat"=>"porc", "formula"=>array("valor1"=>7, "valor2"=>11, "funcion"=>"porc")),
					15=>array("tipodat"=>"porc", "formula"=>array("valor1"=>7, "valor2"=>12, "funcion"=>"porc"))
					);
	$_SESSION["_varNiv"] = $varNiv;
	$_SESSION["_varPag"] = $varForm["titu"];
	$varTitulo = $varForm["titu"];
	$_SESSION["_varCab"] = $varCab;
	$_SESSION["_varSql"] = $sql;
	$_SESSION["_varFor"] = $varFor;
	$objResponse = new xajaxResponse();
	$objResponse->redirect("export_grid_combinado.php?page=$varTitulo");
	return $objResponse;
	}

function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsVentaDia($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

function xFormuRegistro($varOpt, $varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsVentaDia($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varOpt, $varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	$respuestaXajax->script($variable); 
	$varFecha = '$(document).ready(function() {
					function startChange() {
                        var startDate = femi.value();

                        if (startDate) {
                            startDate = new Date(startDate);
                            startDate.setDate(startDate.getDate());
                            fmov.min(startDate);
							fven.min(startDate);
                        }
                    }

                    function endChange() {
                        var endDate = fmov.value();
                        if (endDate) {
                            endDate = new Date(endDate);
                            endDate.setDate(endDate.getDate());
                            //femi.max(endDate);
                        	}
                    	}
					function endChangeVen() {
                        var endDate = fven.value();
                        if (endDate) {
                            endDate = new Date(endDate);
                            endDate.setDate(endDate.getDate());
                            //femi.max(endDate);
                        	}
                    	}

                    var femi = $("#femi").kendoDatePicker({
                        change: startChange,
						format: "dd/MM/yyyy"
                    }).data("kendoDatePicker");

                    var fmov = $("#fmov").kendoDatePicker({
                        change: endChange,
						format: "dd/MM/yyyy"
                    }).data("kendoDatePicker");
					
					var fven = $("#fven").kendoDatePicker({
                        change: endChangeVen,
						format: "dd/MM/yyyy"
                    }).data("kendoDatePicker");

					fecha_actual = new Date("'.sumaDia2(date("Y-m-d",time()),-10).'");
					femi.min(fecha_actual);
                    fmov.min(femi.value());
					fven.min(femi.value());
                });';
	$respuestaXajax->script($varFecha);
	return $respuestaXajax;
	}

function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsVentaDia($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	

$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");

?>
<script language="javascript">		
	function xBuscarJS() {
		if (xajax.$("fini").value=="" || xajax.$("fini").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR RANGO DE FECHAS");  
			xajax.$("fini").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));		
			}
		}
	function xExportarJS() {
		if (xajax.$("fini").value=="" || xajax.$("fini").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR RANGO DE FECHAS");  
			xajax.$("fini").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
	function xImprimirJS() {
		var varVen = xajax.$("vcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		if (xajax.$("fini").value=="" || xajax.$("fini").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR RANGO DE FECHAS");  
			xajax.$("fini").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_gerencial_venta_dia.php?ven='+varVen+'&ini='+varIni+'&fin='+varFin;
			testwindow= window.open (Ruta, "print_gerencial_venta_dia", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
			}	
		}
</script>
<?php

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>